Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: make command wat fout ?  (gelezen 9714 keer)

Gast

  • Gast
make command wat fout ?
« Gepost op: 2006/01/22, 12:22:51 »
./configure --with-showlistmodes --enable-hub --enable-prefixaq --with-listen=5 --with-dpath=/root/Unreal3.2 --with-spath=/root/Unreal3.2/src/ircd --with-nick-history=2000 --with-sendq=3000000 --with-bufferpool=18 --with-hostname=Linux-ubuntu-5.10 --with-permissions=0600 --with-fd-setsize=500 --enable-dynamic-linking
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH

 _______________________________________________________________________
|                                                                                         |
|                    UnrealIRCd Compile-Time Config                                            |
|_______________________________________________________________________|
|_______________________________________________________________________|
|                                                                                         |
| Now all you have to do is type 'make' and let it compile. When that's        |
| done, you will receive other instructions on what to do next.                   |
|                                                                                                                  |
|_______________________________________________________________________|
|_______________________________________________________________________|
|                        - The UnrealIRCd Team -                                                     |
|                                                                                                       |
| * Stskeeps  stskeeps@unrealircd.com                                   |
| * codemastr codemastr@unrealircd.com                                  |
| * Syzop     syzop@unrealircd.com                                      |
|_______________________________________________________________________|
root@Linux-ubuntu-5:~/Unreal3.2# make
bash: make: command not found
root@Linux-ubuntu-5:~/Unreal3.2#

wat doe ik fout ?

,Roconda (Tim Slot)

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
make command wat fout ?
« Reactie #1 Gepost op: 2006/01/22, 12:28:59 »
Je zal een compiler moeten installeren. Doe dat met het commando: apt-get install gcc

Offline Dennis Kaarsemaker

  • Administrator
    • dennis
    • http://www.kaarsemaker.net
  • Steunpunt: Nee
make command wat fout ?
« Reactie #2 Gepost op: 2006/01/22, 12:29:08 »
Je hebt geen C compiler ge

Gast

  • Gast
make command wat fout ?
« Reactie #3 Gepost op: 2006/01/22, 12:43:25 »
Thx voor jullie snelle andwoorden maar waar kan ik dat paket downloaden want ik heb die computer nog niet online... jammer genoeg :)

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
make command wat fout ?
« Reactie #4 Gepost op: 2006/01/22, 12:50:06 »
Staat ook op de cd (dacht ik). Ga naar system, admin, synaptic.
Kijk naar uw repositories, wees zeker dat cd aangevinkt staat. Stop dan uw install-cd in uw computer en zoek dan naar build-essential.

Offline Dennis Kaarsemaker

  • Administrator
    • dennis
    • http://www.kaarsemaker.net
  • Steunpunt: Nee
make command wat fout ?
« Reactie #5 Gepost op: 2006/01/22, 14:09:59 »
Je kunt beter eerst zorgen dat de computer online is. Zoals ik al zei zal ./configure wel meer gaan klagen over missende zaken en die moet je dan ook weer downloaden :)

Gast

  • Gast
make command wat fout ?
« Reactie #6 Gepost op: 2006/01/22, 16:07:40 »
Citaat van: Dennis
Je kunt beter eerst zorgen dat de computer online is. Zoals ik al zei zal ./configure wel meer gaan klagen over missende zaken en die moet je dan ook weer downloaden :)
Dan moet het wel eerst lukken met mn sitecom ding :) , hoe doe ik dat btw ?

Offline Dennis Kaarsemaker

  • Administrator
    • dennis
    • http://www.kaarsemaker.net
  • Steunpunt: Nee
make command wat fout ?
« Reactie #7 Gepost op: 2006/01/22, 16:19:47 »
Sitecom wireless? Ligt aan de chipset, maar ik vermoed dat je met ndiswrapper moet gaan pielen.

Gast

  • Gast
make command wat fout ?
« Reactie #8 Gepost op: 2006/01/22, 17:32:35 »
Citaat van: Dennis
Sitecom wireless? Ligt aan de chipset, maar ik vermoed dat je met ndiswrapper moet gaan pielen.
Ok heb ik "gedaan" maar wat nu ik krijg dit :
root@Linux-ubuntu-5:~# sudo aptitude install ndiswrapper-utils linux-686
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd... Klaar
Uitgebreide statusinformatie aan het lezen
Initialiseren van pakketstatussen... Klaar
Geen enkel pakket gevonden waarvan de naam of beschrijving overeenkomen met "linux-686"
De volgende NIEUWE pakketten zullen worden geïnstalleerd:
  ndiswrapper-utils
0 pakketten opgewaardeerd, 1 nieuwe geïnstalleerd, 0 te verwijderen en 0 niet opwaarderen.
Heb 0B/25,7kB archieven nodig. Na uitpakken zal 131kB worden gebruikt.
Schrijven van uitgebreide statusinformatie... Klaar
W: Kon de status van de bronpakketlijst http://archive.ubuntu.com breezy/universe Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_breezy_universe_binary-i386_Packages) niet opvragen - stat (2 Onbekend bestand of map)
W: Kon de status van de bronpakketlijst http://archive.ubuntu.com breezy/universe Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_breezy_universe_binary-i386_Packages) niet opvragen - stat (2 Onbekend bestand of map)
W: Kon de status van de bronpakketlijst http://archive.ubuntu.com breezy/universe Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_breezy_universe_binary-i386_Packages) niet opvragen - stat (2 Onbekend bestand of map)

Voorconfigureren van pakketten...
Selecteren van voorheen niet geselecteerd pakket ndiswrapper-utils.
(Database inlezen ... 59121 bestanden en mappen geïnstalleerd.)
Uitpakken van ndiswrapper-utils (uit .../ndiswrapper-utils_1.1-4ubuntu2_i386.deb) ...
Instellen van ndiswrapper-utils (1.1-4ubuntu2) ...

Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd... Klaar
Uitgebreide statusinformatie aan het lezen
Initialiseren van pakketstatussen... Klaar
root@Linux-ubuntu-5:~# sudo ndiswrapper -i wlanCIG.inf
Installing wlancig
cp: cannot stat `wlanCIG.inf': Onbekend bestand of map
root@Linux-ubuntu-5:~# sudo ndiswrapper -i wlanCIG.inf
wlancig is already installed. Use -e to remove it
root@Linux-ubuntu-5:~# sudo ndiswrapper -m
Adding "alias wlan0 ndiswrapper" to /etc/modprobe.d/ndiswrapper
root@Linux-ubuntu-5:~# sudo ndiswrapper -l
Installed ndis drivers:
wlancig invalid driver!
root@Linux-ubuntu-5:~# echo ndiswrapper | sudo tee -a /etc/modules
ndiswrapper
root@Linux-ubuntu-5:~# modprobe ndiswrapper
FATAL: Could not open '/lib/modules/2.6.12-9-386/kernel/drivers/net/ndiswrapper/ndiswrapper.ko': No such file or directory

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
make command wat fout ?
« Reactie #9 Gepost op: 2006/01/22, 17:43:13 »
Bizar. Ben de wrapper gaan opzoeken in synaptic en in description:
'The default Ubuntu kernel
already provides the required modules. If you use a custom kernel,
you might also need the kernel module package.'

Heb je een eigen kernel? Update anders eerst eens uw kernel via synaptic. Of haal die module af.

Gast

  • Gast
make command wat fout ?
« Reactie #10 Gepost op: 2006/01/22, 17:47:19 »
Citaat van: zappa
Bizar. Ben de wrapper gaan opzoeken in synaptic en in description:
'The default Ubuntu kernel
already provides the required modules. If you use a custom kernel,
you might also need the kernel module package.'

Heb je een eigen kernel? Update anders eerst eens uw kernel via synaptic. Of haal die module af.
Ik heb volgens mij niks aan de kernel veranderd ofzo.

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
make command wat fout ?
« Reactie #11 Gepost op: 2006/01/22, 17:53:29 »
Tenzij je hier straks nog een beter antwoord krijgt,

-> update de kernel. Als je een gewone pc hebt, neem dan een 386 versie, zoek naar linux-image

Gast

  • Gast
make command wat fout ?
« Reactie #12 Gepost op: 2006/01/22, 20:12:55 »
Citaat van: zappa
Tenzij je hier straks nog een beter antwoord krijgt,

-> update de kernel. Als je een gewone pc hebt, neem dan een 386 versie, zoek naar linux-image
Waar kan ik die update vinden ?

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
make command wat fout ?
« Reactie #13 Gepost op: 2006/01/22, 20:33:51 »
In synaptic. sys -> admin.
Zoek naar linux-image

Gast

  • Gast
make command wat fout ?
« Reactie #14 Gepost op: 2006/01/22, 20:56:30 »
Citaat van: zappa
In synaptic. sys -> admin.
Zoek naar linux-image
Waar bedoelt u, ik heb mijn pc nog niet online.

Gast

  • Gast
make command wat fout ?
« Reactie #15 Gepost op: 2006/01/22, 22:17:31 »
Iemand nog een idee ?

Offline Dennis Kaarsemaker

  • Administrator
    • dennis
    • http://www.kaarsemaker.net
  • Steunpunt: Nee
make command wat fout ?
« Reactie #16 Gepost op: 2006/01/22, 22:30:12 »
Het probleem hier is dat de standaard geinstalleerde kernel ndiswrapper niet bijzonder lief vindt (lees: het werkt niet). Dus je zult en een nieuwe kernel, en ndiswrapper-utils moeten installeren. Het makkelijkst is om er tijdelijk een draadje aan te hangen. Download en installeer anders de volgende pakketten:

http://security.ubuntu.com/ubuntu/pool/main/l/linux-source-2.6.12/linux-image-2.6.12-10-686_2.6.12-10.26_i386.deb
http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.12/linux-restricted-modules-2.6.12-10-686_2.6.12.4-11.1_i386.deb

Gast

  • Gast
make command wat fout ?
« Reactie #17 Gepost op: 2006/01/22, 22:32:52 »
Citaat van: Dennis
Het probleem hier is dat de standaard geinstalleerde kernel ndiswrapper niet bijzonder lief vindt (lees: het werkt niet). Dus je zult en een nieuwe kernel, en ndiswrapper-utils moeten installeren. Het makkelijkst is om er tijdelijk een draadje aan te hangen. Download en installeer anders de volgende pakketten:

http://security.ubuntu.com/ubuntu/pool/main/l/linux-source-2.6.12/linux-image-2.6.12-10-686_2.6.12-10.26_i386.deb
http://security.ubuntu.com/ubuntu/pool/restricted/l/linux-restricted-modules-2.6.12/linux-restricted-modules-2.6.12-10-686_2.6.12.4-11.1_i386.deb
en als ik het met draad heb , pakt die hem dan wel gelijk ?

Offline Dennis Kaarsemaker

  • Administrator
    • dennis
    • http://www.kaarsemaker.net
  • Steunpunt: Nee
make command wat fout ?
« Reactie #18 Gepost op: 2006/01/22, 22:42:30 »
Draadjes zouden meteen moeten werken.

Gast

  • Gast
make command wat fout ?
« Reactie #19 Gepost op: 2006/01/23, 17:17:48 »
Oke ik heb het geinstalleerd , het gaat nu beter alleen nog 1 klein probleempje :
root@Linux-ubuntu-5:~# ndiswrapper -e wlanCIG.inf
Driver wlanCIG.inf is not installed. Use -l to list installed drivers
root@Linux-ubuntu-5:~# ndiswrapper -i wlanCIG.inf
wlancig is already installed. Use -e to remove it
root@Linux-ubuntu-5:~# ndiswrapper -m
modprobe config already contains alias directive
root@Linux-ubuntu-5:~# sudo modprobe ndiswrapper
FATAL: Error inserting ndiswrapper (/lib/modules/2.6.12-10-686/kernel/drivers/net/ndiswrapper/ndiswrapper.ko): Operation not permitted
root@Linux-ubuntu-5:~# echo ndiswrapper | sudo tee -a /etc/modules
ndiswrapper
root@Linux-ubuntu-5:~#

Offline zappa

  • Lid
    • http://www.c3c.be
  • Steunpunt: Nee
make command wat fout ?
« Reactie #20 Gepost op: 2006/01/23, 17:20:45 »
Installeer ook ndiswrapper-source, dan zou het OK zijn denk ik, ook met uw huidige kernel.

Gast

  • Gast
make command wat fout ?
« Reactie #21 Gepost op: 2006/01/23, 17:22:03 »
Citaat van: zappa
Installeer ook ndiswrapper-source, dan zou het OK zijn denk ik, ook met uw huidige kernel.
Hoe bedoelt u dat , door het te unstallen en dan weer te installen ?

,Roconda

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
make command wat fout ?
« Reactie #22 Gepost op: 2006/01/23, 17:31:52 »
Volgens: http://linux-on-laptops.com/forum/archive/index.php/t-51.html
moet je de wrapper eerst uninstallen en daarna opnieuw installen.

Gast

  • Gast
make command wat fout ?
« Reactie #23 Gepost op: 2006/01/23, 17:36:28 »
Citaat van: kennywest
Volgens: http://linux-on-laptops.com/forum/archive/index.php/t-51.html
moet je de wrapper eerst uninstallen en daarna opnieuw installen.
Thx ben al bezig, ik hoop dat het werkt en alvast bedankt voor jullie hulp :)

Gast

  • Gast
make command wat fout ?
« Reactie #24 Gepost op: 2006/01/23, 17:45:41 »
Oke ik heb de map gedelete en opnieuw getar't en ik krijg weer de zelfde error.
Weten jullie nog iets ?

,Roconda